Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-33102

QT_BUILD_KEY in qconfig.h should be architecture dependent on linux

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Out of scope
    • Affects Version/s: 4.8.5
    • Fix Version/s: None
    • Component/s: Core: Plugins
    • Labels:
      None

      Description

      I'm using ArchLinux x86_64 with Qt 4.8.5-1.

      My application is x86 and contains plugins. I can compile plugins for my application but QPluginLoader tells me:

      The plugin X uses incompatible Qt library. Expected build key "i386 linux g+-4 full-config", got "x86_64 linux g+-4 full-config"

      in /usr/include/qt4/QtCore/qconfig.h I found:

      #define QT_BUILD_KEY "x86_64 linux g++-4 full-config"
      #define QT_BUILD_KEY_COMPAT "x86_64 Linux g++-4 full-config"

      but when I change it to:

      #ifdef _x86_64_
      #define QT_BUILD_KEY "x86_64 linux g++-4 full-config"
      #define QT_BUILD_KEY_COMPAT "x86_64 Linux g++-4 full-config"
      #elif _i386_
      #define QT_BUILD_KEY "i386 linux g++-4 full-config"
      #define QT_BUILD_KEY_COMPAT "i386 Linux g++-4 full-config"
      #endif

      then my application can load plugin properly.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              thiago Thiago Macieira
              Reporter:
              7ymekk Jakub
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes